package com.liang.controller;

import com.liang.entity.SysDictInfo;
import com.liang.service.SysDictInfoService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * (SysDictInfo)表控制层
 *
 * @author makejava
 * @since 2023-02-25 22:29:46
 */
@RestController
@RequestMapping("sysDictInfo")
public class SysDictInfoController {
    /**
     * 服务对象
     */
    @Resource
    private SysDictInfoService sysDictInfoService;

    /**
     * 分页查询
     *
     * @param sysDictInfo 筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    @GetMapping
    public ResponseEntity<Page<SysDictInfo>> queryByPage(SysDictInfo sysDictInfo, PageRequest pageRequest) {
        return ResponseEntity.ok(this.sysDictInfoService.queryByPage(sysDictInfo, pageRequest));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    public ResponseEntity<SysDictInfo> queryById(@PathVariable("id") String id) {
        return ResponseEntity.ok(this.sysDictInfoService.queryById(id));
    }

    /**
     * 新增数据
     *
     * @param sysDictInfo 实体
     * @return 新增结果
     */
    @PostMapping
    public ResponseEntity<SysDictInfo> add(SysDictInfo sysDictInfo) {
        return ResponseEntity.ok(this.sysDictInfoService.insert(sysDictInfo));
    }

    /**
     * 编辑数据
     *
     * @param sysDictInfo 实体
     * @return 编辑结果
     */
    @PutMapping
    public ResponseEntity<SysDictInfo> edit(SysDictInfo sysDictInfo) {
        return ResponseEntity.ok(this.sysDictInfoService.update(sysDictInfo));
    }

    /**
     * 删除数据
     *
     * @param id 主键
     * @return 删除是否成功
     */
    @DeleteMapping
    public ResponseEntity<Boolean> deleteById(String id) {
        return ResponseEntity.ok(this.sysDictInfoService.deleteById(id));
    }

}

